com.salesforce.hyperdb.grpc

## Class AttachedDatabase.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>
      - - com.salesforce.hyperdb.grpc.AttachedDatabase.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AttachedDatabaseOrBuilder, Cloneable

Enclosing class:
  AttachedDatabase

    public static final class AttachedDatabase.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>
    implements AttachedDatabaseOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.AttachedDatabase`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AttachedDatabase.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AttachedDatabase` `build()`
`AttachedDatabase` `buildPartial()`
`AttachedDatabase.Builder` `clear()`
`AttachedDatabase.Builder` `clearAlias()` `string alias = 2;`
`AttachedDatabase.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AttachedDatabase.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AttachedDatabase.Builder` `clearPath()` `string path = 1;`
`AttachedDatabase.Builder` `clone()`
`String` `getAlias()` `string alias = 2;`
`com.google.protobuf.ByteString` `getAliasBytes()` `string alias = 2;`
`AttachedDatabase` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getPath()` `string path = 1;`
`com.google.protobuf.ByteString` `getPathBytes()` `string path = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AttachedDatabase.Builder` `mergeFrom(AttachedDatabase other)`
`AttachedDatabase.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AttachedDatabase.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AttachedDatabase.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AttachedDatabase.Builder` `setAlias(String value)` `string alias = 2;`
`AttachedDatabase.Builder` `setAliasBytes(com.google.protobuf.ByteString value)` `string alias = 2;`
`AttachedDatabase.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AttachedDatabase.Builder` `setPath(String value)` `string path = 1;`
`AttachedDatabase.Builder` `setPathBytes(com.google.protobuf.ByteString value)` `string path = 1;`
`AttachedDatabase.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AttachedDatabase.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### clear

    public AttachedDatabase.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### getDefaultInstanceForType

    public AttachedDatabase getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AttachedDatabase build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AttachedDatabase buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AttachedDatabase.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### setField

    public AttachedDatabase.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### clearField

    public AttachedDatabase.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### clearOneof

    public AttachedDatabase.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### setRepeatedField

    public AttachedDatabase.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     int index,
                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### addRepeatedField

    public AttachedDatabase.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### mergeFrom

    public AttachedDatabase.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AttachedDatabase.Builder>`

#### mergeFrom

    public AttachedDatabase.Builder mergeFrom(AttachedDatabase other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### mergeFrom

    public AttachedDatabase.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AttachedDatabase.Builder>`
Throws:
  `IOException`

#### getPath

    public String getPath()

`string path = 1;`

Specified by:
  `getPath` in interface `AttachedDatabaseOrBuilder`
Returns:
  The path.

#### getPathBytes

    public com.google.protobuf.ByteString getPathBytes()

`string path = 1;`

Specified by:
  `getPathBytes` in interface `AttachedDatabaseOrBuilder`
Returns:
  The bytes for path.

#### setPath

    public AttachedDatabase.Builder setPath(String value)

`string path = 1;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

#### clearPath

    public AttachedDatabase.Builder clearPath()

`string path = 1;`

Returns:
  This builder for chaining.

#### setPathBytes

    public AttachedDatabase.Builder setPathBytes(com.google.protobuf.ByteString value)

`string path = 1;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

#### getAlias

    public String getAlias()

`string alias = 2;`

Specified by:
  `getAlias` in interface `AttachedDatabaseOrBuilder`
Returns:
  The alias.

#### getAliasBytes

    public com.google.protobuf.ByteString getAliasBytes()

`string alias = 2;`

Specified by:
  `getAliasBytes` in interface `AttachedDatabaseOrBuilder`
Returns:
  The bytes for alias.

#### setAlias

    public AttachedDatabase.Builder setAlias(String value)

`string alias = 2;`

Parameters:
  `value` - The alias to set.
Returns:
  This builder for chaining.

#### clearAlias

    public AttachedDatabase.Builder clearAlias()

`string alias = 2;`

Returns:
  This builder for chaining.

#### setAliasBytes

    public AttachedDatabase.Builder setAliasBytes(com.google.protobuf.ByteString value)

`string alias = 2;`

Parameters:
  `value` - The bytes for alias to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final AttachedDatabase.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`

#### mergeUnknownFields

    public final AttachedDatabase.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AttachedDatabase.Builder>`